<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.interfaces.lvis.v2508.dao.VehicleInfoMapper">

<select id="selectRoadNmAdres" parameterType="map" resultType="dataobject">/* vehicleInfoMapper.selectRoadNmAdres(도로명 주소 조회) */
SELECT CASE WHEN LENGTH(STDG_LI_NM) > 0 THEN
            CASE WHEN BSNO IS NULL OR BSNO = 0 THEN CONCAT(CTPV_NM, ' ', SGG_NM, ' ', STDG_NM, ' ', ROAD_NM, ' ', BMNO)
                 ELSE CONCAT(CTPV_NM, ' ', SGG_NM, ' ', STDG_NM, ' ', ROAD_NM, ' ', BMNO, '-', BSNO)
            END
       ELSE CASE WHEN BSNO IS NULL OR BSNO = 0 THEN CONCAT(CTPV_NM, ' ', SGG_NM, ' ', ROAD_NM, ' ', BMNO)
                 ELSE CONCAT(CTPV_NM, ' ', SGG_NM, ' ', ROAD_NM, ' ', BMNO, '-', BSNO)
            END
       END ROAD_NM_ADRES
     , ZIP
  FROM TB_ROAD_ADDR
 WHERE ROAD_NM_CD = #{roadNmCd}
   AND BMNO = #{bmno}
   AND BSNO = #{bsno}</select>

<resultMap id="basicInfoRow" type="cokr.xit.interfaces.lvis.v2508.LvisA01$BasicInfo"> <!-- 자동차 기본사항(연료제원 포함) -->
    <result property="yridnw"                      column="PRYE" />                          <!-- 연식 -->
    <result property="reg_ymd"                     column="REGIST_DE" />                     <!-- 등록일 -->
    <result property="ersr_reg_se_cd"              column="ERSR_REGIST_SE_CODE" />           <!-- 말소등록구분코드 -->
    <result property="ersr_reg_se_nm"              column="ERSR_REGIST_SE_NM" />             <!-- 말소등록구분명 -->
    <result property="ersr_reg_ymd"                column="ERSR_REGIST_DE" />                <!-- 말송등록일 -->
    <result property="reg_dtl_cd"                  column="REGIST_DETAIL_CODE" />            <!-- 등록상세코드 -->
    <result property="dsplvl"                      column="DSPLVL" />                        <!-- 배기량 -->
    <result property="usgsrhld_stdg_cd"            column="USE_STRNGHLD_LEGALDONG_CODE" />   <!-- 사용본거지법정동코드 -->
    <result property="usgsrhld_dong_cd"            column="USE_STRNGHLD_ADSTRD_CODE" />      <!-- 사용본거지행정동코드 -->
    <result property="usgsrhld_mtn_yn"             column="USE_STRNGHLD_MNTN" />             <!-- 사용본거지산 -->
    <result property="usgsrhld_lnbr"               column="USE_STRNGHLD_LNBR" />             <!-- 사용본거지번지 -->
    <result property="usgsrhld_ho"                 column="USE_STRNGHLD_HO" />               <!-- 사용본거지호 -->
    <result property="usgsrhld_addr_nm"            column="USE_STRNGHLD_ADRES_NM" />         <!-- 사용본거지상세주소 -->
    <result property="usgsrhld_road_nm_cd"         column="USE_STRNGHLD_ROAD_NM_CODE" />     <!-- 사용본거지도로명코드 -->
    <result property="usgsrhld_udgd_bldg_se_cd"    column="USGSRHLD_UNDGRND_BULD_SE_CODE" /> <!-- 사용본거지지하건물구분코드 -->
    <result property="usgsrhld_bmno"               column="USE_STRNGHLD_BULD_MAIN_NO" />     <!-- 사용본거지건물주요번호 -->
    <result property="usgsrhld_bsno"               column="USE_STRNGHLD_BULD_SUB_NO" />      <!-- 사용본거지건물부번호 -->
    <result property="usgsrhld_whol_addr"          column="USGSRHLD_ADRES_FULL" />           <!-- 사용본거지전체주소 -->
    <result property="rprs_ownr_mbr_se_cd"         column="MBER_SE_CODE" />                  <!-- 대표소유자회원구분코드 -->
    <result property="rprs_ownr_nm"                column="MBER_NM" />                       <!-- 대표소유자성명 -->
    <result property="rprsv_ownr_idecno"           column="MBER_SE_NO" />                    <!-- 대표소유자회원번호 -->
    <result property="rprs_ownr_telno"             column="TELNO" />                         <!-- 대표소유자전화번호 -->
    <result property="ownr_stdg_cd"                column="OWNER_LEGALDONG_CODE" />          <!-- 소유자법정동코드 -->
    <result property="ownr_dong_cd"                column="OWNER_ADSTRD_CODE" />             <!-- 소유자행정동코드 -->
    <result property="ownr_mtn_yn"                 column="OWNER_MNTN" />                    <!-- 소유자산 -->
    <result property="ownr_lnbr"                   column="OWNER_LNBR" />                    <!-- 소유자번지 -->
    <result property="ownr_ho"                     column="OWNER_HO" />                      <!-- 소유자호 -->
    <result property="ownr_addr_nm"                column="OWNER_ADRES_NM" />                <!-- 소유자상세주소 -->
    <result property="ownr_road_nm_cd"             column="OWNER_ROAD_NM_CODE" />            <!-- 소유자도로명코드 -->
    <result property="ownr_udgd_bldg_se_cd"        column="OWNER_UNDGRND_BULD_SE_CODE" />    <!-- 소유자지하건물구분코드 -->
    <result property="ownr_bmno"                   column="OWNER_BULD_MAIN_NO" />            <!-- 소유자건물주요번호 -->
    <result property="ownr_bsno"                   column="OWNER_BULD_SUB_NO" />             <!-- 소유자건물부번호 -->
    <result property="ownr_whol_addr"              column="OWNER_ADRES_FULL" />              <!-- 소유자전체주소 -->
    <result property="rear_vhrno"                  column="AFTR_VHRNO" />                    <!-- 신차량번호 -->
    <result property="use_fuel_cd"                 column="USE_FUEL_CODE" />                 <!-- 사용연료코드 -->
    <result property="usg_se_cd"                   column="PRPOS_SE_CODE" />                 <!-- 용도구분코드 -->
    <result property="mtrs_fom_nm"                 column="MTRS_FOM_NM" />                   <!-- 원동기형식명 -->
    <result property="bfr_vhrno"                   column="FRNT_VHRNO" />                    <!-- 이전차량번호 -->
    <result property="vhrno"                       column="VHRNO" />                         <!-- 차량번호 -->
    <result property="vin"                         column="VIN" />                           <!-- 차대번호 -->
    <result property="atmb_nm"                     column="CNM" />                           <!-- 차명 -->
    <result property="vhcl_totl_wt"                column="VHCLE_TOT_WT" />                  <!-- 차량총중량 -->
    <result property="veag_end_ymd"                column="CAAG_ENDDE" />                    <!-- 차령만료일자 -->
    <result property="chg_ymd"                     column="CHANGE_DE" />                     <!-- 차번호변경시기 -->
    <result property="carmdl_asort_cd"             column="VHCTY_ASORT_CODE" />              <!-- 차종종별코드 -->
    <result property="carmdl_type_cd"              column="VHCTY_TY_CODE" />                 <!-- 차종유형코드 -->
    <result property="carmdl_se_cd"                column="VHCTY_SE_CODE" />                 <!-- 차종분류코드 -->
    <result property="mxmm_ldg"                    column="MXMM_LDG" />                      <!-- 최대적재량 -->
    <result property="carmdl_asort_nm"             column="VHCTY_ASORT_NM" />                <!-- 차종종별명 -->
    <result property="carmdl_type_nm"              column="VHCTY_TY_NM" />                   <!-- 차종유형명 -->
    <result property="carmdl_clsf_nm"              column="VHCTY_SE_NM" />                   <!-- 차종분류명 -->
    <result property="frst_reg_ymd"                column="FRST_REGIST_DE" />                <!-- 최초등록일 -->
    <result property="fom_nm"                      column="FOM_NM" />                        <!-- 형식 -->
    <result property="acqs_ymd"                    column="ACQS_DE" />                       <!-- 취득일자 -->
    <result property="acqs_end_ymd"                column="ACQS_END_DE" />                   <!-- 취득종료일자 -->
    <result property="fbctn_ymd"                   column="YBL_MD" />                        <!-- 제작년월일 -->
    <result property="transr_reg_ymd"              column="TRANSR_REGIST_DE" />              <!-- 이전등록일 -->
    <result property="spcf_reg_stts_cd"            column="SPCF_REGIST_STTUS_CODE" />        <!-- 제원등록상태코드 -->
    <result property="color_nm"                    column="COLOR_NM" />                      <!-- 색상명 -->
    <result property="mrtg_cnt"                    column="MRTG_CO" />                       <!-- 저당수 -->
    <result property="szr_cnt"                     column="SEIZR_CO" />                      <!-- 압류건수 -->
    <result property="strct_chg_cnt"               column="STMD_CO" />                       <!-- 구조변경수 -->
    <result property="noplt_csdy_yn"               column="NMPL_cSDY_aT" />                  <!-- 번호판영치여부 -->
    <result property="noplt_csdy_avtsmt_ymd"       column="NMPL_cSDY_REMNR_DE" />            <!-- 번호판영치최고일 -->
    <result property="src_se_cd"                   column="ORIGIN_SE_CODE" />                <!-- 출처구분코드 -->
    <result property="noplt_spcfct_cd"             column="NMPL_STNDRD_CODE" />              <!-- 번호판규격코드 -->
    <result property="acqs_amt"                    column="ACQS_AMOUNT" />                   <!-- 취득금액 -->
    <result property="insp_vld_pd_bgng_ymd"        column="INSPT_VALID_PD_BGNDE" />          <!-- 검사유효기간시작일 -->
    <result property="insp_vld_pd_end_ymd"         column="INSPT_VALID_PD_ENDDE" />          <!-- 검사유효기간종료일 -->
    <result property="usgsrhld_grc_cd"             column="USE_STRNGHLD_GRC_CODE" />         <!-- 사용본거지관청코드 -->
    <result property="rdcpct_cnt"                  column="TKCAR_PSCAP_CO" />                <!-- 승차정원수 -->
    <result property="spmnno"                      column="SPMNNO" />                        <!-- 제원관리번호 -->
    <result property="drvng_dstnc"                 column="TRVL_DSTNC" />                    <!-- 주행거리 -->
    <result property="frst_reg_aply_rcpt_no"       column="FRST_REGIST_RQRCNO" />            <!-- 최초등록접수번호 -->
    <result property="vlnt_ersr_prvntc_avtsmt_ymd" column="VLNT_ERSR_PRVNTC_NTICE_DE" />     <!-- 예고통지일 -->
    <result property="ognz_nm"                     column="REGIST_INSTT_NM" />               <!-- 등록기관명 -->
    <result property="cbd_lt"                      column="CBD_LT" />                        <!-- 차체길이 -->
    <result property="cbd_bt"                      column="CBD_BT" />                        <!-- 차체너비 -->
    <result property="cbd_hg"                      column="CBD_HG" />                        <!-- 차체높이 -->
    <result property="frst_mxmm_ldg"               column="FRST_MXMM_LDG" />                 <!-- 최초최대적재량 -->
    <result property="fuel_cnsmprt"                column="FUEL_CNSMP_RT" />                 <!-- 연료소비율 -->
    <result property="elcty_cmpnd_fuel_cnsmprt"    column="ELCTY_CMPND_FUEL_CNSMP_RT" />     <!-- 전기복합연료소비율 -->
    <result property="prcs_imprty_rsn_cd"          column="PROCESS_IMPRTY_RESN_CODE" />      <!-- 처리불가사유코드 -->
    <result property="prcs_imprty_rsn_dtls"        column="PROCESS_IMPRTY_RESN_dTLS" />      <!-- 처리불가사유명세 -->
    <result property="createdAt"                   column="REG_DT" />                        <!-- 등록 일시 -->
    <result property="createdBy"                   column="RGTR" />                          <!-- 등록자 -->
</resultMap>

<select id="selectBasicInfo" parameterType="map" resultMap="basicInfoRow">/* vehicleInfoMapper.selectBasicInfo(자동차 연료제원 포함 기본사항 조회) */
SELECT PRYE                          <!-- 연식 -->
     , REGIST_DE                     <!-- 등록일 -->
     , ERSR_REGIST_SE_CODE           <!-- 말소등록구분코드 -->
     , ERSR_REGIST_SE_NM             <!-- 말소등록구분명 -->
     , ERSR_REGIST_DE                <!-- 말송등록일 -->
     , REGIST_DETAIL_CODE            <!-- 등록상세코드 -->
     , DSPLVL                        <!-- 배기량 -->
     , USE_STRNGHLD_LEGALDONG_CODE   <!-- 사용본거지법정동코드 -->
     , USE_STRNGHLD_ADSTRD_CODE      <!-- 사용본거지행정동코드 -->
     , USE_STRNGHLD_MNTN             <!-- 사용본거지산 -->
     , USE_STRNGHLD_LNBR             <!-- 사용본거지번지 -->
     , USE_STRNGHLD_HO               <!-- 사용본거지호 -->
     , USE_STRNGHLD_ADRES_NM         <!-- 사용본거지상세주소 -->
     , USE_STRNGHLD_ROAD_NM_CODE     <!-- 사용본거지도로명코드 -->
     , USGSRHLD_UNDGRND_BULD_SE_CODE <!-- 사용본거지지하건물구분코드 -->
     , USE_STRNGHLD_BULD_MAIN_NO     <!-- 사용본거지건물주요번호 -->
     , USE_STRNGHLD_BULD_SUB_NO      <!-- 사용본거지건물부번호 -->
     , USGSRHLD_ADRES_FULL           <!-- 사용본거지전체주소 -->
     , MBER_SE_CODE                  <!-- 대표소유자회원구분코드 -->
     , MBER_NM                       <!-- 대표소유자성명 -->
     , MBER_SE_NO                    <!-- 대표소유자회원번호 -->
     , TELNO                         <!-- 대표소유자전화번호 -->
     , OWNER_LEGALDONG_CODE          <!-- 소유자법정동코드 -->
     , OWNER_ADSTRD_CODE             <!-- 소유자행정동코드 -->
     , OWNER_MNTN                    <!-- 소유자산 -->
     , OWNER_LNBR                    <!-- 소유자번지 -->
     , OWNER_HO                      <!-- 소유자호 -->
     , OWNER_ADRES_NM                <!-- 소유자상세주소 -->
     , OWNER_ROAD_NM_CODE            <!-- 소유자도로명코드 -->
     , OWNER_UNDGRND_BULD_SE_CODE    <!-- 소유자지하건물구분코드 -->
     , OWNER_BULD_MAIN_NO            <!-- 소유자건물주요번호 -->
     , OWNER_BULD_SUB_NO             <!-- 소유자건물부번호 -->
     , OWNER_ADRES_FULL              <!-- 소유자전체주소 -->
     , AFTR_VHRNO                    <!-- 신차량번호 -->
     , USE_FUEL_CODE                 <!-- 사용연료코드 -->
     , PRPOS_SE_CODE                 <!-- 용도구분코드 -->
     , MTRS_FOM_NM                   <!-- 원동기형식명 -->
     , FRNT_VHRNO                    <!-- 이전차량번호 -->
     , VHRNO                         <!-- 차량번호 -->
     , VIN                           <!-- 차대번호 -->
     , CNM                           <!-- 차명 -->
     , VHCLE_TOT_WT                  <!-- 차량총중량 -->
     , CAAG_ENDDE                    <!-- 차령만료일자 -->
     , CHANGE_DE                     <!-- 차번호변경시기 -->
     , VHCTY_ASORT_CODE              <!-- 차종종별코드 -->
     , VHCTY_TY_CODE                 <!-- 차종유형코드 -->
     , VHCTY_SE_CODE                 <!-- 차종분류코드 -->
     , MXMM_LDG                      <!-- 최대적재량 -->
     , VHCTY_ASORT_NM                <!-- 차종종별명 -->
     , VHCTY_TY_NM                   <!-- 차종유형명 -->
     , VHCTY_SE_NM                   <!-- 차종분류명 -->
     , FRST_REGIST_DE                <!-- 최초등록일 -->
     , FOM_NM                        <!-- 형식 -->
     , ACQS_DE                       <!-- 취득일자 -->
     , ACQS_END_DE                   <!-- 취득종료일자 -->
     , YBL_MD                        <!-- 제작년월일 -->
     , TRANSR_REGIST_DE              <!-- 이전등록일 -->
     , SPCF_REGIST_STTUS_CODE        <!-- 제원등록상태코드 -->
     , COLOR_NM                      <!-- 색상명 -->
     , MRTG_CO                       <!-- 저당수 -->
     , SEIZR_CO                      <!-- 압류건수 -->
     , STMD_CO                       <!-- 구조변경수 -->
     , NMPL_CSDY_AT                  <!-- 번호판영치여부 -->
     , NMPL_CSDY_REMNR_DE            <!-- 번호판영치최고일 -->
     , ORIGIN_SE_CODE                <!-- 출처구분코드 -->
     , NMPL_STNDRD_CODE              <!-- 번호판규격코드 -->
     , ACQS_AMOUNT                   <!-- 취득금액 -->
     , INSPT_VALID_PD_BGNDE          <!-- 검사유효기간시작일 -->
     , INSPT_VALID_PD_ENDDE          <!-- 검사유효기간종료일 -->
     , USE_STRNGHLD_GRC_CODE         <!-- 사용본거지관청코드 -->
     , TKCAR_PSCAP_CO                <!-- 승차정원수 -->
     , SPMNNO                        <!-- 제원관리번호 -->
     , TRVL_DSTNC                    <!-- 주행거리 -->
     , FRST_REGIST_RQRCNO            <!-- 최초등록접수번호 -->
     , VLNT_ERSR_PRVNTC_NTICE_DE     <!-- 예고통지일 -->
     , REGIST_INSTT_NM               <!-- 등록기관명 -->
     , CBD_LT                        <!-- 차체길이 -->
     , CBD_BT                        <!-- 차체너비 -->
     , CBD_HG                        <!-- 차체높이 -->
     , FRST_MXMM_LDG                 <!-- 최초최대적재량 -->
     , FUEL_CNSMP_RT                 <!-- 연료소비율 -->
     , ELCTY_CMPND_FUEL_CNSMP_RT     <!-- 전기복합연료소비율 -->
     , PROCESS_IMPRTY_RESN_CODE      <!-- 처리불가사유코드 -->
     , PROCESS_IMPRTY_RESN_DTLS      <!-- 처리불가사유명세 -->
  FROM TB_CAR_BSC_MTTR
<where><if test='inq_se_cd == "2"'> AND DMND_VIN = #{vin}</if><!-- 차대번호 -->
<if test='inq_se_cd == "3"'>  AND DMND_VHRNO = #{vhrno}</if> <!-- 차량번호 --></where>
</select>

<insert id="insertBasicInfo" parameterType="map">/* vehicleInfoMapper.insertBasicInfo(자동차 연료제원 포함 기본사항 조회 로그 등록) */
<selectKey keyProperty="item.bsc_mttr_id" resultType="string" order="BEFORE">
SELECT CONCAT(
      <include refid="utility.today" />
     , LPAD(NVL(SUBSTRING(MAX(BSC_MTTR_ID), 9) + 1, 1), 22, '0')
       ) NEW_ID
  FROM TB_CAR_BSC_MTTR TCBM 
 WHERE BSC_MTTR_ID LIKE CONCAT(<include refid="utility.today" />, '%')</selectKey>
INSERT INTO TB_CAR_BSC_MTTR (
       BSC_MTTR_ID                   <!-- 기본 사항 ID -->
     
     , CNTC_INFO_CODE                <!-- 연계정보 코드 -->
     , DMND_LEVY_STDDE               <!-- 요청 부과기준일 -->
     , DMND_INQIRE_SE_CODE           <!-- 요청 조회구분코드 -->
     , DMND_VHRNO                    <!-- 요청 자동차등록번호 -->
     , DMND_VIN	                     <!-- 요청 차대번호 -->
     
     , PRYE                          <!-- 연식 -->
     , REGIST_DE                     <!-- 등록일(변경일) -->
     , ERSR_REGIST_SE_CODE           <!-- 말소등록구분코드 -->
     , ERSR_REGIST_SE_NM             <!-- 말소등록구분명 -->
     , ERSR_REGIST_DE                <!-- 말소등록일 -->
     , REGIST_DETAIL_CODE            <!-- 등록상세코드 -->
     , DSPLVL                        <!-- 배기량 -->
     , USE_STRNGHLD_LEGALDONG_CODE   <!-- 사용본거지법정동코드 -->
     , USE_STRNGHLD_ADSTRD_CODE      <!-- 사용본거지행정동코드 -->
     , USE_STRNGHLD_MNTN             <!-- 사용본거지산 -->
     , USE_STRNGHLD_LNBR             <!-- 사용본거지번지 -->
     , USE_STRNGHLD_HO               <!-- 사용본거지호 -->
     , USE_STRNGHLD_ADRES_NM         <!-- 사용본거지상세주소 -->
     , USE_STRNGHLD_ROAD_NM_CODE     <!-- 사용본거지도로명코드 -->
     , USGSRHLD_UNDGRND_BULD_SE_CODE <!-- 사용본거지지하건물구분코드 -->
     , USE_STRNGHLD_BULD_MAIN_NO     <!-- 사용본거지건물주요번호 -->
     , USE_STRNGHLD_BULD_SUB_NO      <!-- 사용본거지건물부번호 -->
     , USGSRHLD_ADRES_FULL           <!-- 사용본거지전체주소 -->
     , MBER_SE_CODE                  <!-- 대표소유자회원구분코드 -->
     , MBER_NM                       <!-- 대표소유자성명 -->
     , MBER_SE_NO                    <!-- 대표소유자회원번호 -->
     , TELNO                         <!-- 대표소유자전화번호 -->
     , OWNER_LEGALDONG_CODE          <!-- 소유자법정동코드 -->
     , OWNER_ADSTRD_CODE             <!-- 소유자행정동코드 -->
     , OWNER_MNTN                    <!-- 소유자산 -->
     , OWNER_LNBR                    <!-- 소유자번지 -->
     , OWNER_HO                      <!-- 소유자호 -->
     , OWNER_ADRES_NM                <!-- 소유자상세주소 -->
     , OWNER_ROAD_NM_CODE            <!-- 소유자도로명코드 -->
     , OWNER_UNDGRND_BULD_SE_CODE    <!-- 소유자지하건물구분코드 -->
     , OWNER_BULD_MAIN_NO            <!-- 소유자건물주요번호 -->
     , OWNER_BULD_SUB_NO             <!-- 소유자건물부번호 -->
     , OWNER_ADRES_FULL              <!-- 소유자전체주소 -->
     , AFTR_VHRNO                    <!-- 신차량번호 -->
     , USE_FUEL_CODE                 <!-- 사용연료코드 -->
     , PRPOS_SE_CODE                 <!-- 용도구분코드 -->
     , MTRS_FOM_NM                   <!-- 원동기형식명 -->
     , FRNT_VHRNO                    <!-- 이전차량번호 -->
     , VHRNO                         <!-- 차량번호 -->
     , VIN                           <!-- 차대번호 -->
     , CNM                           <!-- 차명 -->
     , VHCLE_TOT_WT                  <!-- 차량총중량 -->
     , CAAG_ENDDE                    <!-- 차령만료일자 -->
     , CHANGE_DE                     <!-- 차번호변경시기 -->
     , VHCTY_ASORT_CODE              <!-- 차종종별코드 -->
     , VHCTY_TY_CODE                 <!-- 차종유형코드 -->
     , VHCTY_SE_CODE                 <!-- 차종분류코드 -->
     , MXMM_LDG                      <!-- 최대적재량 -->
     , VHCTY_ASORT_NM                <!-- 차종종별명 -->
     , VHCTY_TY_NM                   <!-- 차종유형명 -->
     , VHCTY_SE_NM                   <!-- 차종분류명 -->
     , FRST_REGIST_DE                <!-- 최초등록일 -->
     , FOM_NM                        <!-- 형식 -->
     , ACQS_DE                       <!-- 취득일자 -->
     , ACQS_END_DE                   <!-- 취득종료일자 -->
     , YBL_MD                        <!-- 제작년월일 -->
     , TRANSR_REGIST_DE              <!-- 이전등록일(양수일) -->
     , SPCF_REGIST_STTUS_CODE        <!-- 제원등록상태코드 -->
     , COLOR_NM                      <!-- 색상명 -->
     , MRTG_CO                       <!-- 저당수 -->
     , SEIZR_CO                      <!-- 압류건수 -->
     , STMD_CO                       <!-- 구조변경수 -->
     , NMPL_CSDY_AT                  <!-- 번호판영치여부 -->
     , NMPL_CSDY_REMNR_DE            <!-- 번호판영치최고일 -->
     , ORIGIN_SE_CODE                <!-- 출처구분코드 -->
     , NMPL_STNDRD_CODE              <!-- 번호판규격코드 -->
     , ACQS_AMOUNT                   <!-- 취득금액 -->
     , INSPT_VALID_PD_BGNDE          <!-- 검사유효기간시작일 -->
     , INSPT_VALID_PD_ENDDE          <!-- 검사유효기간종료일 -->
     , USE_STRNGHLD_GRC_CODE         <!-- 사용본거지관청코드 -->
     , TKCAR_PSCAP_CO                <!-- 승차정원수 -->
     , SPMNNO                        <!-- 제원관리번호 -->
     , TRVL_DSTNC                    <!-- 주행거리 -->
     , FRST_REGIST_RQRCNO            <!-- 최초등록접수번호 -->
     , VLNT_ERSR_PRVNTC_NTICE_DE     <!-- 예고통지일 -->
     , REGIST_INSTT_NM               <!-- 등록기관명 -->
     , CBD_LT                        <!-- 차체길이 -->
     , CBD_BT                        <!-- 차체너비 -->
     , CBD_HG                        <!-- 차체높이 -->
     , FRST_MXMM_LDG                 <!-- 최초최대적재량 -->
     , FUEL_CNSMP_RT                 <!-- 연료소비율 -->
     , ELCTY_CMPND_FUEL_CNSMP_RT     <!-- 전기복합연료소비율 -->
     , PROCESS_IMPRTY_RESN_CODE      <!-- 처리불가사유코드 -->
     , PROCESS_IMPRTY_RESN_DTLS      <!-- 처리불가사유명세 -->
     
     , REG_DT                        <!-- 등록일자 -->
     , RGTR                          <!-- 등록자 -->
) VALUES (
       #{item.bsc_mttr_id}                 <!-- 기본 사항 id -->
     
     , #{req.link_info_cd}                 <!-- 연계정보 코드 -->
     , #{rec.levy_crtr_ymd}                <!-- 요청 부과기준일 -->
     , #{rec.inq_se_cd}                    <!-- 요청 조회구분코드 -->
     , #{rec.vhrno}                        <!-- 요청 자동차등록번호 -->
     , #{rec.vin}	                       <!-- 요청 차대번호 -->
     
     , #{item.yridnw}                      <!--연식 -->
     , #{item.reg_ymd}                     <!--등록일 -->
     , #{item.ersr_reg_se_cd}              <!--말소등록구분코드 -->
     , #{item.ersr_reg_se_nm}              <!--말소등록구분명 -->
     , #{item.ersr_reg_ymd}                <!--말송등록일 -->
     , #{item.reg_dtl_cd}                  <!--등록상세코드 -->
     , #{item.dsplvl}                      <!--배기량 -->
     , #{item.usgsrhld_stdg_cd}            <!--사용본거지법정동코드 -->
     , #{item.usgsrhld_dong_cd}            <!--사용본거지행정동코드 -->
     , #{item.usgsrhld_mtn_yn}             <!--사용본거지산 -->
     , #{item.usgsrhld_lnbr}               <!--사용본거지번지 -->
     , #{item.usgsrhld_ho}                 <!--사용본거지호 -->
     , #{item.usgsrhld_addr_nm}            <!--사용본거지상세주소 -->
     , #{item.usgsrhld_road_nm_cd}         <!--사용본거지도로명코드 -->
     , #{item.usgsrhld_udgd_bldg_se_cd}    <!--사용본거지지하건물구분코드 -->
     , #{item.usgsrhld_bmno}               <!--사용본거지건물주요번호 -->
     , #{item.usgsrhld_bsno}               <!--사용본거지건물부번호 -->
     , #{item.usgsrhld_whol_addr}          <!--사용본거지전체주소 -->
     , #{item.rprs_ownr_mbr_se_cd}         <!--대표소유자회원구분코드 -->
     , #{item.rprs_ownr_nm}                <!--대표소유자성명 -->
     , #{item.rprsv_ownr_idecno}           <!--대표소유자회원번호 -->
     , #{item.rprs_ownr_telno}             <!--대표소유자전화번호 -->
     , #{item.ownr_stdg_cd}                <!--소유자법정동코드 -->
     , #{item.ownr_dong_cd}                <!--소유자행정동코드 -->
     , #{item.ownr_mtn_yn}                 <!--소유자산 -->
     , #{item.ownr_lnbr}                   <!--소유자번지 -->
     , #{item.ownr_ho}                     <!--소유자호 -->
     , #{item.ownr_addr_nm}                <!--소유자상세주소 -->
     , #{item.ownr_road_nm_cd}             <!--소유자도로명코드 -->
     , #{item.ownr_udgd_bldg_se_cd}        <!--소유자지하건물구분코드 -->
     , #{item.ownr_bmno}                   <!--소유자건물주요번호 -->
     , #{item.ownr_bsno}                   <!--소유자건물부번호 -->
     , #{item.ownr_whol_addr}              <!--소유자전체주소 -->
     , #{item.rear_vhrno}                  <!--신차량번호 -->
     , #{item.use_fuel_cd}                 <!--사용연료코드 -->
     , #{item.usg_se_cd}                   <!--용도구분코드 -->
     , #{item.mtrs_fom_nm}                 <!--원동기형식명 -->
     , #{item.bfr_vhrno}                   <!--이전차량번호 -->
     , #{item.vhrno}                       <!--차량번호 -->
     , #{item.vin}                         <!--차대번호 -->
     , #{item.atmb_nm}                     <!--차명 -->
     , #{item.vhcl_totl_wt}                <!--차량총중량 -->
     , #{item.veag_end_ymd}                <!--차령만료일자 -->
     , #{item.chg_ymd}                     <!--차번호변경시기 -->
     , #{item.carmdl_asort_cd}             <!--차종종별코드 -->
     , #{item.carmdl_type_cd}              <!--차종유형코드 -->
     , #{item.carmdl_se_cd}                <!--차종분류코드 -->
     , #{item.mxmm_ldg}                    <!--최대적재량 -->
     , #{item.carmdl_asort_nm}             <!--차종종별명 -->
     , #{item.carmdl_type_nm}              <!--차종유형명 -->
     , #{item.carmdl_clsf_nm}              <!--차종분류명 -->
     , #{item.frst_reg_ymd}                <!--최초등록일 -->
     , #{item.fom_nm}                      <!--형식 -->
     , #{item.acqs_ymd}                    <!--취득일자 -->
     , #{item.acqs_end_ymd}                <!--취득종료일자 -->
     , #{item.fbctn_ymd}                   <!--제작년월일 -->
     , #{item.transr_reg_ymd}              <!--이전등록일 -->
     , #{item.spcf_reg_stts_cd}            <!--제원등록상태코드 -->
     , #{item.color_nm}                    <!--색상명 -->
     , #{item.mrtg_cnt}                    <!--저당수 -->
     , #{item.szr_cnt}                     <!--압류건수 -->
     , #{item.strct_chg_cnt}               <!--구조변경수 -->
     , #{item.noplt_csdy_yn}               <!--번호판영치여부 -->
     , #{item.noplt_csdy_avtsmt_ymd}       <!--번호판영치최고일 -->
     , #{item.src_se_cd}                   <!--출처구분코드 -->
     , #{item.noplt_spcfct_cd}             <!--번호판규격코드 -->
     , #{item.acqs_amt}                    <!--취득금액 -->
     , #{item.insp_vld_pd_bgng_ymd}        <!--검사유효기간시작일 -->
     , #{item.insp_vld_pd_end_ymd}         <!--검사유효기간종료일 -->
     , #{item.usgsrhld_grc_cd}             <!--사용본거지관청코드 -->
     , #{item.rdcpct_cnt}                  <!--승차정원수 -->
     , #{item.spmnno}                      <!--제원관리번호 -->
     , #{item.drvng_dstnc}                 <!--주행거리 -->
     , #{item.frst_reg_aply_rcpt_no}       <!--최초등록접수번호 -->
     , #{item.vlnt_ersr_prvntc_avtsmt_ymd} <!--예고통지일 -->
     , #{item.ognz_nm}                     <!--등록기관명 -->
     , #{item.cbd_lt}                      <!--차체길이 -->
     , #{item.cbd_bt}                      <!--차체너비 -->
     , #{item.cbd_hg}                      <!--차체높이 -->
     , #{item.frst_mxmm_ldg}               <!--최초최대적재량 -->
     , #{item.fuel_cnsmprt}                <!--연료소비율 -->
     , #{item.elcty_cmpnd_fuel_cnsmprt}    <!--전기복합연료소비율 -->
     , #{item.prcs_imprty_rsn_cd}          <!--처리불가사유코드 -->
     , #{item.prcs_imprty_rsn_dtls}        <!--처리불가사유명세 -->
     
     ,<include refid="utility.now" />      <!-- 등록일자 -->
     , #{currentUser.id}                   <!-- 등록자 -->
)</insert>

</mapper>